"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Renderer = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _gWebgpu = require("@antv/g-webgpu");

var Renderer = /*#__PURE__*/function () {
  function Renderer(options) {
    (0, _classCallCheck2.default)(this, Renderer);
    this.options = options;
    this.world = void 0;
    this.frameId = void 0;

    this.onHover = function (_ref) {// const { top, left } = this.options.canvas.getBoundingClientRect();
      // x -= left;
      // y -= top;
      // const featureId = this.world.pick({ x, y });
      // this.options.onPick({
      //   x,
      //   y,
      //   featureId,
      // });

      var x = _ref.x,
          y = _ref.y;
    };
  }

  (0, _createClass2.default)(Renderer, [{
    key: "init",
    value: function init() {
      this.world = _gWebgpu.World.create({
        canvas: this.options.canvas
      });
      this.options.canvas.addEventListener('mousemove', this.onHover); // 对于所有布局生成顶点数据

      this.options.mark.buildAttributesForAllContainers(this.options.containerMap);
    }
  }, {
    key: "render",
    value: function render(_ref2) {// const targetContainer = this.options.containerMap[layout];
      // const {
      //   width: rootWidth,
      //   height: rootHeight,
      // } = targetContainer.visualspace;
      // const renderer = this.world.createRenderer();
      // const scene = this.world.createScene();
      // const camera = this.world
      //   .createCamera()
      //   .setPosition(0, 0, 2.5)
      //   .setPerspective(1, 10, 50, Math.abs(rootWidth / rootHeight));
      // const view = this.world
      //   .createView()
      //   .setCamera(camera)
      //   .setScene(scene)
      //   .setViewport({
      //     x: 0,
      //     y: 0,
      //     width: this.options.canvas.width,
      //     height: this.options.canvas.height,
      //   });
      // // this.options.mark.render(this.world, scene, targetContainer, layout);
      // const render = () => {
      //   this.options.mark.update();
      //   renderer.render(view);
      //   // this.frameId = window.requestAnimationFrame(render);
      // };
      // render();

      var layout = _ref2.layout;
    }
  }, {
    key: "destroy",
    value: function destroy() {
      window.cancelAnimationFrame(this.frameId);
      this.world.destroy();
    }
  }]);
  return Renderer;
}();

exports.Renderer = Renderer;
//# sourceMappingURL=Renderer.js.map